#
# spec file for package perl-Lingua-EN-FindNumber
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Lingua-EN-FindNumber
Version:        1.32
Release:        1.1
%define cpan_name Lingua-EN-FindNumber
Summary:        Locate (written) numbers in English text
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Lingua-EN-FindNumber/
Source0:        http://www.cpan.org/authors/id/N/NE/NEILB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Lingua::EN::Words2Nums)
Requires:       perl(Lingua::EN::Words2Nums)
%{perl_requires}

%description
This module provides a regular expression for finding numbers in English
text. It also provides functions for extracting and manipulating such
numbers.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Thu Oct 29 2015 coolo@suse.com
- updated to 1.32
  see /usr/share/doc/packages/perl-Lingua-EN-FindNumber/Changes
  1.32 2015-10-25 NEILB
  - Minor documentation improvements.
  - Changed github repo URL after changing my github username.
* Tue Jul  7 2015 coolo@suse.com
- updated to 1.31
  see /usr/share/doc/packages/perl-Lingua-EN-FindNumber/Changes
  1.31 2015-07-04 NEILB
  - Added [MetaJSON] to dist.ini, so release will include META.json.
    RT#105631 from ETHER++
* Tue Dec  2 2014 coolo@suse.com
- initial package 1.30
  * created by cpanspec 1.78.08
